flyingtoasters(6)

NAME
flyingtoasters - 3d space-age jet-powered flying toasters (and toast)

SYNOPSIS
flyingtoasters [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-speed number] [-ntoasters number] [-nslices number] [-no-texture] [-wireframe] [-fps]

DESCRIPTION
Draws a squadron of shiny 3D space-age jet-powered flying toasters, and associated toast, flying across your screen.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-speed number
    How fast the toasters fly. Larger for faster. Default: 1.0.

-ntoasters number
    How many toasters to draw. Default 20.

-nslices number
    How many slices of toast to draw. Default 25.

-no-texture
    Turn off texture mapping (for slow machines.)

-wireframe
    Render in wireframe instead of solid.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1) AfterDark

COPYRIGHT
Copyright © 2003 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty. The original After Dark flying toasters, with the fluffy white wings, were a trademark of Berkeley Systems. Berkeley Systems ceased to exist some time in 1998, having been gobbled up by Sierra Online, who were subsequently gobbled up by Flipside and/or Vivendi (it's hard to tell exactly what happened when.) I doubt anyone even cares any more, but if they do, hopefully this homage, with the space-age 3D jet-plane toasters, will be considered different enough that whoever still owns the trademark to the fluffy-winged 2D bitmapped toasters won't get all huffy at us.

AUTHOR
Code by Jamie Zawinski. Object models by Baconmonkey.